%define _libexecdir %_prefix/libexec/hal

Name: synce-hal
Version: 0.2
Release: alt2
Summary: Connection framework and dccm-implementation
Group: Communications
Packager: Mobile Development Team <mobile@packages.altlinux.org>
License: GPLv2
Url: http://www.synce.org
Source: %name-%version.tar.gz
Provides: synce-serial
Obsoletes: synce-serial < 0.12
Provides: synce-dccm
Obsoletes: synce-dccm < 0.12
Obsoletes: synce-vdccm < 0.11

BuildPreReq: libsynce-devel >= 0.10.0
BuildPreReq: libgnet-devel
BuildPreReq: libdbus-glib-devel >= 0.60 libdbus-devel >= 0.60
BuildPreReq: libhal-devel
BuildRequires: gcc-c++

%description
Synce-hal is a connection framework and dccm-implementation
for Windows Mobile devices that integrates with HAL.

%package bluez
Summary: Synce-hal for bluetooth connections
Group: Communications
Requires: %name = %version-%release

%description bluez
Synce-hal is a connection framework and dccm-implementation
for Windows Mobile devices that integrates with HAL.
This package for support a connection over bluetooth.

%prep
%setup -q

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install
install -D etc/synce-serial.conf %buildroot%_sysconfdir/synce-serial.conf
# for bluez
install -D bluetooth/hal-synce-bluetooth %buildroot%_libexecdir/hal-synce-bluetooth
install -D bluetooth/synce-bt.ip-down %buildroot%_sysconfdir/ppp/ip-down.d/synce-bt
install -D bluetooth/synce-bt.ip-up %buildroot%_sysconfdir/ppp/ip-up.d/synce-bt
install -D bluetooth/synce-bt.peers %buildroot%_sysconfdir/ppp/peers/synce-bt

%files
%doc AUTHORS ChangeLog COPYING README TODO
%config(noreplace) %_sysconfdir/synce-serial.conf
%_libexecdir/*
%_datadir/hal/fdi/policy/20thirdparty/10-synce.fdi
%exclude %_libexecdir/hal-synce-bluetooth

%files bluez
%_libexecdir/hal-synce-bluetooth
%config(noreplace) %_sysconfdir/ppp/*/synce-bt

%changelog
* Mon Oct 13 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2-alt2
- define _libexecdir as %_prefix/libexec/hal
- install %{_sysconfdir}/synce-serial.conf
- build bluetooth subpackage

* Sun Oct 05 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2-alt1
- initial version

